#include <config.h>

#if defined(HAVE_STDIO_H)
#include <stdio.h>
#endif

#if defined(HAVE_CTYPE_H)
#include <ctype.h>
#endif

#if defined(HAVE_STRING_H)
#include <string.h>
#endif

#if defined(HAVE_STDLIB_H)
#include <stdlib.h>
#endif

#if defined(HAVE_STDDEF_H)
#include <stddef.h>
#endif

#define MAXCONT 40			/* Number of continuation lines */
					/* Fortran 77 Standard is 19. */

#define MAXSTMT (72 + MAXCONT*72)	/* pushback buffer size, large */
					/* enough for MAXCONT continuation */
					/* lines */

#if !defined(FLEX)
#define yytext_ptr ((char*)&yytext[0])
#endif

#undef ECHO
#define ECHO			outstr(yytext_ptr)
#define MY_ECHO_STRING(s)	outstr(s)

#if defined(__cplusplus)
#define MY_INPUT() yyinput()
#else
#define MY_INPUT() input()
#endif

#if __STDC__ || defined(__cplusplus)
#define ARGS(plist)	plist
#else /* NOT __STDC__ || defined(__cplusplus) */
#define ARGS(plist)	()
#define const
#endif /* __STDC__ || defined(__cplusplus) */

void	convert_declaration ARGS((const char *s__));
void	convert_number ARGS((char *s__));
void	cvtstr ARGS((const char *s__));
int	inchar ARGS((void));
void	infline ARGS((void));
void	instmt ARGS((void));
int	our_input ARGS((void));
void	outhollerith ARGS((char *s__));
void	output ARGS((int c__));
void	outquotedstring ARGS((const char *s__));
void	outstr ARGS((const char *s__));
void	unput ARGS((int c__));
int	yylex ARGS((void));

#undef ECHO
#define ECHO	outstr(yytext)

extern int debug;
extern int hp_output;
extern int instring;
extern int lineno;			/* set in output.c */
